Subject: [EAI] WG Last Call to RFC5336bis, RFC5335bis, RFC5337bis

From: Joseph Yee <[email-masked]>
Date: Tue, 20 Sep 2011 16:20:45 -0400

Hi all,

Given that there is no further discussion since the most recent version of RFC5336bis, RFC5335bis, and RFC5337bis, we are initiating a WG Last Call on these three drafts with termination date of Sept 28, 1pm Eastern Time / 17:00 UTC.

Thanks
Joseph, co-chair of EAI

---

From: "John Levine" <[email-masked]>
Date: 23 Sep 2011 01:09:24 -0000

I read all three, 5335bis and 5337bis are ready to go.

With some trepidation, I ask one question about 5336bis:

In section 3.2, third paragraph, it still says that without EAI, the
client "... MUST NOT transmit a mail message containing
internationalized mail headers as described in [RFC5335bis] at any
level within its MIME structure ...".  Back in March, we discussed
this and I was under the impression we agreed to remove the
requirement that you need EAI to send a message/global MIME part.  See
the messages around this one:

 http://www.ietf.org/mail-archive/web/ima/current/msg04078.html

My goal is not to reopen the can of worms, but to clarify whether

A) we didn't agree to the change and the current wording is OK, or

B) we did agree to the change, and the draft should delete the "at
any level" language.

R's,
John

---

From: John C Klensin <[email-masked]>
Date: Fri, 23 Sep 2011 07:07:30 -0400

--On Friday, September 23, 2011 01:09 +0000 John Levine
<[email-masked]> wrote:

> In section 3.2, third paragraph, it still says that without
> EAI, the client "... MUST NOT transmit a mail message
> containing internationalized mail headers as described in
> [RFC5335bis] at any level within its MIME structure ...".
> Back in March, we discussed this and I was under the
> impression we agreed to remove the requirement that you need
> EAI to send a message/global MIME part.  See the messages
> around this one:
>...
> B) we did agree to the change, and the draft should delete the
> "at any level" language.
>...

John,

I will, as usual, leave responses and determinations about WG
consensus to Joseph, but let me review one aspect of that
discussion (treating "8bit" as "having one or more octets with
the high-order bit turned on):

	-- Absent an extension that specifies otherwise, RFC
	5321 rather explicitly forbids transport of 8bit
	material.
	
	-- Absent some change somewhere, RFC 5322 does not
	permit any header field to contain 8bit characters
	
	-- It is well outside this WG's scope to change the
	specifications for, or behavior of, programs that
	interoperate by virtue of strict conformance to 5321
	and/or 5322.  A spec that encourages/ authorizes sending
	programs to violate those specs violates that scope
	principle (if nothing else).
	
	-- message/global perhaps use of 8bit material in
	headers.

I think the implication of this is that, even if the WG decided
to permit message/global without an SMTP extension, removal of
the sentence would not be sufficient.  We would, at a minimum,
need a Security Considerations explanation of the possible
risks, if any, of violating those 5321/5322 rules and probably
some discussion, somewhere, of interoperability issues
associated with the change.

Just IMO.
   john

---

From: Tony Finch <[email-masked]>
Date: Fri, 23 Sep 2011 12:47:07 +0100

> 	5321 rather explicitly forbids transport of 8bit

But any content transfer encoding is permitted for message/global parts,
so this isn't a problem.

> 	permit any header field to contain 8bit characters

But this restriction does not apply to MIME parts.

5335bis has lots of text describing how to send message/global parts to
7bit systems, which is not consistent with forbidding internationalized
headers at any level within the MIME structure of messages sent to servers
that don't support UTF8SMTPbis.

Tony.
-- 
f.anthony.n.finch  <[email-masked]>  http://dotat.at/
Plymouth: South 4 or 5. Mainly moderate. Rain later. Mainly good.

---

From: John C Klensin <[email-masked]>
Date: Fri, 23 Sep 2011 10:20:13 -0400

--On Friday, September 23, 2011 12:47 +0100 Tony Finch
<[email-masked]> wrote:

> But any content transfer encoding is permitted for
> message/global parts, so this isn't a problem.

Sorry.  I should not have said anything ... I certainly do not
want to restart the discussion.  Because of how I read the MIME
spec, I am not comfortable with the above statement, but that is
one form of the discussion the WG had some months ago.

    john